<xsl:transform version="1.0"
               xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
               xmlns:e="http://www.jclark.com/xt/java/Euler"
               result-prefix="#default">
<xsl:output method="xml" indent="yes" media-type="text/xml"/>

<xsl:param name="question" select="'http://localhost:8080/euler/extra.lemma.rdf'"/>

<xsl:template match="/">
  <xsl:variable name="e" select="e:new()"/>

  <xsl:value-of select="e:assert($e, 'http://localhost:8080/euler/extra.axiom.rdf')"/>

  <xsl:value-of disable-output-escaping="yes" select="e:proof($e, $question)"/>
</xsl:template>
</xsl:transform>
